[DONE] - make the board support generic square tags, instead of select,
  premove, etc.
[DONE] - make the board load squares and tags from a theme.
[FORFAITED] - implement edit position.
[DONE] - improve piece shadow (just a couple more configurable settings).
[DONE] - the table should not dispatch mouse events based on the group,
  because group size is "virtual".
[DONE] - document the pixmap loader, or soon it will be impossible to use
  (even for me).
[PARTLY DONE] - fix examination mode.
- reimplement piecesprite thumbnails.
[DONE] - remove all "../icons" in the code
[DONE] - improve the movelist to handle mixed turns
[WONTFIX :)]- rewrite the piece pool.
  Now the conceptual bug of the PieceSprite's having type/color information is fixed,
  but i think that a std::map is ok for the pool because identical things should not
  be threated as different, if for two pieces ->equals returns true they should really
  be identical, for sake of god.
[DONE] - manage in some way the <b1> with piece pool.
- better pgn load/save for variants with irregular moves (like progressive)
- add support for editing pgn game tags
[DONE by Paolo :)] - add support for one click move preview in the board
[DONE for reversi] - add support for games where you can or must pass the move (go, reversi, etc)
[HALF DONE] - move in the variant the square numbering string and the SAN move figurines
- support fonts for move figurines
- investigate pcre as a possible replacement for QRegExp.
[DONE] - remove all code that assumes the board to be 8x8.
- remove all code that assumes that there are 2 players :)
- allow to customize fg and bg of svg files too, in some way
  (a CSS file? but Paolo will get angry because this will require
  Qt-4.2, or maybe 4.3. They are not even supported in the snapshot
  anyway)

Ah, i decided to add here all the reasons that Qt-4.2 would be good for a release:
- Application fonts, also for the movelist.
- SVG CSS (will probably be in 4.2 release)
- Improved dock widgets
- Easer to add text at the end of the console
- Rehighlight of the highlither
- Better brushes (from image ad with transformation), ok this is a minor thing
  but could make certain things a bit faster.
- QPainter::setOpacity, ie quite faster transparent canvas items
- can set properties for gradients
